Summary: Crypt-SmbHash module for perl
Name: perl-Crypt-SmbHash
Version: 0.02
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Crypt-SmbHash/
Source0: Crypt-SmbHash-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{name}
BuildArch: noarch
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
Crypt-SmbHash module for perl

%prep
%setup -q -n Crypt-SmbHash-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Crypt-SmbHash-%{version}-filelist
if [ "$(cat Crypt-SmbHash-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Crypt-SmbHash-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Thu Mar 24 2005 <shiro@miraclelinux.com> 0.02-1AX
- Initial build.
